// Copyright (C) 2016 - Michael Baudin
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

transdat=[
  -1.0499843  
  -1.1637996  
  -0.9984484  
  -1.143534   
  -1.2531103  
  -1.1047327  
  -1.1847539  
];
lambda=0.7;
data=boxcoxinverse(transdat,lambda);
exact = [0.15 0.09 0.18 0.10 0.05 0.12 0.08]';
assert_checkalmostequal(data,exact,1.e-6);
//
lambda=0.;
data=boxcoxinverse(transdat,lambda);
exact=[
    0.3499432  
    0.3122973  
    0.3684507  
    0.3186908  
    0.2856151  
    0.3312994  
    0.3058214  
];
assert_checkalmostequal(data,exact,1.e-6);
// 
// Check accuracy when lambda is close to zero
data=boxcoxinverse(0.15,1.e-20);
exact=1.1618342427282831226;
assert_checkalmostequal(data,exact,1.e-15);
//
// http://forge.scilab.org/index.php/p/stixbox/issues/1637/
data = boxcoxinverse(-4:1,0.7);
expected=[%nan %nan %nan 0.1790731 1. 2.1340901];
assert_checkalmostequal(data,expected,1.e-6);

