// Copyright (C) 2017 - Michael Baudin
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

// <-- CLI SHELL MODE -->
// <-- NO CHECK REF -->

// Reference
// Applied Regression Analysis: A Research Tool Second Edition
// John O. Rawlings Sastry G. Pantula David A. Dickey
// Springer
// Page 163
path = stixbox_getpath ();
csvfile = fullfile(path,"tests","unit_tests","regression","data_Linthurst-1979.csv");
separator = " ";
decimal = ".";
// BIO SAL pH K Na Zn
data = csvRead(csvfile, separator, decimal);

m = size(data,"r");
BIO = data(:,1);
SAL = data(:,2);
pH = data(:,3);
K  = data(:,4);
Na  = data(:,5);
Zn = data(:,6);
X = [ones(m,1) SAL K Na];
[B,bint,r,rint,stats,fullstats] = regress(BIO,X);
assert_checkalmostequal(fullstats.R2,0.078,1.e-2);
logL = fullstats.LogLikelihood;
n = size(X,"c");
c = criterionAkaike(n,logL);
// The table gives the value 587.7
// This is because the AIC used in the book is :
// criterionAkaike(n,logL)- m-m*log(2*%pi)
assert_checkalmostequal(c,715.37014,1.e-6);

